import { Transition, TargetAndTransition } from "../types";
import { VisualElement } from "../render/VisualElement";
export declare const hasUpdated: (prev: string | number | any[], next: string | number | any[]) => boolean;
/**
 * Handle the `animate` prop when its an object of values, ie:
 *
 * ```jsx
 * <motion.div animate={{ opacity: 1 }} />
 * ```
 *
 * @internalremarks
 * It might be worth consolidating this with `use-variants`
 *
 * ```jsx
 * <motion.div animate="visible" />
 * ```
 *
 * @param target
 * @param controls
 * @param values
 * @param transition
 *
 * @internal
 */
export declare function useAnimateProp(visualElement: VisualElement, targetAndTransition: TargetAndTransition, defaultTransition?: Transition): void;
